summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorIvan Zenin2018-03-25 18:29:45 +0300
committerIvan Zenin2018-03-25 18:29:45 +0300
commitb4fff1f90e1c367661839f8f113c40fcc56d3413 (patch)
treec6aece3e9ac69f2a27ec2a8725b386b5c549a049
downloadaur-b4fff1f90e1c367661839f8f113c40fcc56d3413.tar.gz
Initial commit
-rw-r--r--.SRCINFO17
-rwxr-xr-xPKGBUILD28
2 files changed, 45 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..68c7b4bd0f9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+# Generated by mksrcinfo v8
+# Sun Mar 25 15:29:35 UTC 2018
+pkgbase = lz4json-git
+ pkgdesc = C decompress tool for mozilla lz4json format (development version)
+ pkgver = latest
+ pkgrel = 1
+ url = https://github.com/andikleen/lz4json
+ arch = i686
+ arch = x86_64
+ makedepends = git
+ depends = lz4
+ provides = lz4json
+ source = git+git://github.com/andikleen/lz4json.git
+ md5sums = SKIP
+
+pkgname = lz4json-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..b8b137e5526
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Ivan Zenin <i.zenin@gmx.com>
+
+pkgname=lz4json-git
+pkgver=latest
+pkgrel=1
+pkgdesc="C decompress tool for mozilla lz4json format (development version)"
+arch=('i686' 'x86_64')
+url="https://github.com/andikleen/lz4json"
+depends=("lz4")
+provides=('lz4json')
+makedepends=('git')
+source=("git+git://github.com/andikleen/lz4json.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}"/lz4json
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "${srcdir}"/lz4json
+ make lz4jsoncat
+ install -Dm755 lz4jsoncat "${pkgdir}/usr/bin/lz4jsoncat"
+ find "${pkgdir}" -type d -name .git -exec rm -r '{}' +
+}